<?php
/** 
 * @package     VikRentItems
 * @subpackage  core
 * @author      E4J s.r.l.
 * @copyright   Copyright (C) 2022 E4J s.r.l. All Rights Reserved.
 * @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link        https://e4j.com
 */

// No direct access
defined('ABSPATH') or die('No script kiddies please!');

/**
 * Implements the WordPress platform interface.
 * 
 * @since 1.2
 */
class VRIPlatformOrgWordpress extends VRIPlatformAware
{
	/**
	 * Creates a new URI helper instance.
	 *
	 * @return  VRIPlatformUriInterface
	 */
	protected function createUri()
	{
		return new VRIPlatformOrgWordpressUri;
	}

	 /**
	 * Creates a new mailer instance.
	 *
	 * @return  VRIPlatformMailerInterface
	 */
	protected function createMailer()
	{
		return new VRIPlatformOrgWordpressMailer;
	}

	/**
	 * Creates a new event dispatcher instance.
	 * 
	 * @return  VRIPlatformDispatcherInterface
	 * 
	 * @since 	1.2
	 */
	protected function createDispatcher()
	{
		return new VRIPlatformOrgWordpressDispatcher;
	}
}
